Index: typo3/sysext/install/mod/class.tx_install.php
===================================================================
--- typo3/sysext/install/mod/class.tx_install.php	(revision 7301)
+++ typo3/sysext/install/mod/class.tx_install.php	(working copy)
@@ -6048,14 +6046,14 @@
 										);
 									}
 										// Substitute the subpart for the rows
-									$regularModeSubpart = $this->contentObject->substituteSubpart(
+									$regularModeSubpart = t3lib_parsehtml::substituteSubpart(
 										$regularModeSubpart,
 										'###ROWS###',
 										implode(chr(10), $tables)
 									);
 								}
 									// Substitute the subpart for the regular mode
-								$content = $this->contentObject->substituteSubpart(
+								$content = t3lib_parsehtml::substituteSubpart(
 									$content,
 									'###REGULARMODE###',
 									$regularModeSubpart
@@ -6066,7 +6064,7 @@
 									'label' => 'Import the whole file \'' . basename($actionParts[1]) . '\' directly (ignores selections above)'
 								);
 									// Fill the markers
-								$content = $this->contentObject->substituteMarkerArray(
+								$content = t3lib_parsehtml::substituteMarkerArray(
 									$content,
 									$contentMarkers,
 									'###|###',
@@ -6200,7 +6198,7 @@
 							// Get the template file
 						$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'CheckTheDatabaseAdminUser.html');
 							// Get the template part from the file
-						$content = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+						$content = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 							// Define the markers content
 						$contentMarkers = array(
 							'userName' => 'username - unique, no space, lowercase',
@@ -6208,7 +6206,7 @@
 							'repeatPassword' => 'password (repeated)'
 						);
 							// Fill the markers
-						$content = $this->contentObject->substituteMarkerArray(
+						$content = t3lib_parsehtml::substituteMarkerArray(
 							$content,
 							$contentMarkers,
 							'###|###',
@@ -6252,13 +6250,13 @@
 							// Get the template file
 						$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'CheckTheDatabaseUc.html');
 							// Get the template part from the file
-						$content = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+						$content = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 							// Define the markers content
 						$contentMarkers = array(
 							'clearBeUsers' => 'Clear be_users preferences ("uc" field)'
 						);
 							// Fill the markers
-						$content = $this->contentObject->substituteMarkerArray(
+						$content = t3lib_parsehtml::substituteMarkerArray(
 							$content,
 							$contentMarkers,
 							'###|###',
@@ -6302,9 +6300,9 @@
 							// Get the template file
 						$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'CheckTheDatabaseCache.html');
 							// Get the subpart for emptied tables
-						$emptiedTablesSubpart = $this->contentObject->getSubpart($templateFile, '###EMPTIEDTABLES###');
+						$emptiedTablesSubpart = t3lib_parsehtml::getSubpart($templateFile, '###EMPTIEDTABLES###');
 							// Get the subpart for table
-						$tableSubpart = $this->contentObject->getSubpart($emptiedTablesSubpart, '###TABLE###');
+						$tableSubpart = t3lib_parsehtml::getSubpart($emptiedTablesSubpart, '###TABLE###');
 						foreach ($tableListArr as $table) {
 							if ($table!='--div--') {
 								$table_c = TYPO3_OS=='WIN' ? strtolower($table) : $table;
@@ -6315,7 +6313,7 @@
 										'tableName' => $table
 									);
 										// Fill the markers in the subpart
-									$qList[] = $this->contentObject->substituteMarkerArray(
+									$qList[] = t3lib_parsehtml::substituteMarkerArray(
 										$tableSubpart,
 										$emptiedTablesMarkers,
 										'###|###',
@@ -6326,7 +6324,7 @@
 							}
 						}
 							// Substitute the subpart for table
-						$emptiedTablesSubpart = $this->contentObject->substituteSubpart(
+						$emptiedTablesSubpart = t3lib_parsehtml::substituteSubpart(
 							$emptiedTablesSubpart,
 							'###TABLE###',
 							implode(chr(10), $qList)
@@ -6363,11 +6361,11 @@
 						// Get the template file
 					$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'CheckTheDatabaseCache.html');
 						// Get the subpart for table list
-					$tableListSubpart = $this->contentObject->getSubpart($templateFile, '###TABLELIST###');
+					$tableListSubpart = t3lib_parsehtml::getSubpart($templateFile, '###TABLELIST###');
 						// Get the subpart for the group separator
-					$groupSubpart = $this->contentObject->getSubpart($tableListSubpart, '###GROUP###');
+					$groupSubpart = t3lib_parsehtml::getSubpart($tableListSubpart, '###GROUP###');
 						// Get the subpart for a single table
-					$singleTableSubpart = $this->contentObject->getSubpart($tableListSubpart, '###SINGLETABLE###');
+					$singleTableSubpart = t3lib_parsehtml::getSubpart($tableListSubpart, '###SINGLETABLE###');
 					$group = array();
 					$checkBoxes = array();
 					foreach ($tableListArr as $table) {
@@ -6393,7 +6391,7 @@
 
 								);
 									// Fill the markers in the subpart
-								$checkBoxes[] = $this->contentObject->substituteMarkerArray(
+								$checkBoxes[] = t3lib_parsehtml::substituteMarkerArray(
 									$singleTableSubpart,
 									$singleTableMarkers,
 									'###|###',
@@ -6406,13 +6404,13 @@
 						}
 					}
 						// Substitute the subpart for the single tables
-					$content = $this->contentObject->substituteSubpart(
+					$content = t3lib_parsehtml::substituteSubpart(
 						$tableListSubpart,
 						'###SINGLETABLE###',
 						implode(chr(10), $checkBoxes)
 					);
 						// Substitute the subpart for the group separator
-					$content = $this->contentObject->substituteSubpart(
+					$content = t3lib_parsehtml::substituteSubpart(
 						$content,
 						'###GROUP###',
 						''
@@ -6471,7 +6469,7 @@
 				// first step - check for updates available
 			case 'checkForUpdate':
 					// Get the subpart for check for update
-				$checkForUpdateSubpart = $this->contentObject->getSubpart($templateFile, '###CHECKFORUPDATE###');
+				$checkForUpdateSubpart = t3lib_parsehtml::getSubpart($templateFile, '###CHECKFORUPDATE###');
 				$title = 'Step 1 - Introduction';
 				$updateWizardBoxes = '';
 				if (!$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['ext/install']['update']) {
@@ -6485,9 +6483,9 @@
 				} else {
 
 						// step through list of updates, and check if update is needed and if yes, output an explanation
-					$updatesAvailableSubpart = $this->contentObject->getSubpart($checkForUpdateSubpart, '###UPDATESAVAILABLE###');
-					$updateWizardBoxesSubpart = $this->contentObject->getSubpart($updatesAvailableSubpart, '###UPDATEWIZARDBOXES###');
-					$singleUpdateWizardBoxSubpart = $this->contentObject->getSubpart($updateWizardBoxesSubpart, '###SINGLEUPDATEWIZARDBOX###');
+					$updatesAvailableSubpart = t3lib_parsehtml::getSubpart($checkForUpdateSubpart, '###UPDATESAVAILABLE###');
+					$updateWizardBoxesSubpart = t3lib_parsehtml::getSubpart($updatesAvailableSubpart, '###UPDATEWIZARDBOXES###');
+					$singleUpdateWizardBoxSubpart = t3lib_parsehtml::getSubpart($updateWizardBoxesSubpart, '###SINGLEUPDATEWIZARDBOX###');
 					$singleUpdate = array();
 					foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['ext/install']['update'] as $identifier => $className) {
 						$tmpObj = $this->getUpgradeObjInstance($className, $identifier);
@@ -6499,7 +6497,7 @@
 									'explanation' => $explanation,
 									'next' => 'Next'
 								);
-								$singleUpdate[] = $this->contentObject->substituteMarkerArray(
+								$singleUpdate[] = t3lib_parsehtml::substituteMarkerArray(
 									$singleUpdateWizardBoxSubpart,
 									$updateMarkers,
 									'###|###',
@@ -6511,7 +6509,7 @@
 					}
 
 					if (!empty($singleUpdate)) {
-						$updateWizardBoxesSubpart = $this->contentObject->substituteSubpart(
+						$updateWizardBoxesSubpart = t3lib_parsehtml::substituteSubpart(
 							$updateWizardBoxesSubpart,
 							'###SINGLEUPDATEWIZARDBOX###',
 							implode(chr(10), $singleUpdate)
@@ -6519,7 +6517,7 @@
 						$updateWizardBoxesMarkers = array(
 							'action' => $this->action
 						);
-						$updateWizardBoxesSubpart = $this->contentObject->substituteMarkerArray(
+						$updateWizardBoxesSubpart = t3lib_parsehtml::substituteMarkerArray(
 							$updateWizardBoxesSubpart,
 							$updateWizardBoxesMarkers,
 							'###|###',
@@ -6535,7 +6533,7 @@
 							</p>
 						';
 					}
-					$updatesAvailableSubpart = $this->contentObject->substituteSubpart(
+					$updatesAvailableSubpart = t3lib_parsehtml::substituteSubpart(
 						$updatesAvailableSubpart,
 						'###UPDATEWIZARDBOXES###',
 						$updateWizardBoxesSubpart
@@ -6558,7 +6556,7 @@
 							',
 							'compareDatabase' => 'COMPARE DATABASE'
 						);
-						$updatesAvailableSubpart = $this->contentObject->substituteMarkerArray(
+						$updatesAvailableSubpart = t3lib_parsehtml::substituteMarkerArray(
 							$updatesAvailableSubpart,
 							$updatesAvailableMarkers,
 							'###|###',
@@ -6566,7 +6564,7 @@
 							1
 						);
 				}
-				$content = $this->contentObject->substituteSubpart(
+				$content = t3lib_parsehtml::substituteSubpart(
 					$checkForUpdateSubpart,
 					'###UPDATESAVAILABLE###',
 					$updatesAvailableSubpart
@@ -6575,7 +6573,7 @@
 				// second step - get user input and ask for final confirmation
 			case 'getUserInput':
 				$title = 'Step 2 - Configuration of updates';
-				$getUserInputSubpart = $this->contentObject->getSubpart($templateFile, '###GETUSERINPUT###');
+				$getUserInputSubpart = t3lib_parsehtml::getSubpart($templateFile, '###GETUSERINPUT###');
 
 				$markers = array(
 					'introduction' => 'The following updates will be performed:',
@@ -6585,11 +6583,11 @@
 				);
 
 				if (!$this->INSTALL['update']) {
-					$noUpdatesAvailableSubpart = $this->contentObject->getSubpart($getUserInputSubpart, '###NOUPDATESAVAILABLE###');
+					$noUpdatesAvailableSubpart = t3lib_parsehtml::getSubpart($getUserInputSubpart, '###NOUPDATESAVAILABLE###');
 
 					$noUpdateMarkers['noUpdates'] = 'No updates selected!';
 
-					$noUpdatesAvailableSubpart = $this->contentObject->substituteMarkerArray(
+					$noUpdatesAvailableSubpart = t3lib_parsehtml::substituteMarkerArray(
 						$noUpdatesAvailableSubpart,
 						$noUpdateMarkers,
 						'###|###',
@@ -6599,7 +6597,7 @@
 					break;
 				} else {
 					// update methods might need to get custom data
-					$updatesAvailableSubpart = $this->contentObject->getSubpart($getUserInputSubpart, '###UPDATESAVAILABLE###');
+					$updatesAvailableSubpart = t3lib_parsehtml::getSubpart($getUserInputSubpart, '###UPDATESAVAILABLE###');
 					foreach ($this->INSTALL['update'] as $identifier => $tmp) {
 						$updateMarkers = array();
 
@@ -6613,7 +6611,7 @@
 							$updateMarkers['identifierMethod'] = $tmpObj->getUserInput('TYPO3_INSTALL[update][' . $identifier . ']');
 						}
 
-						$updateItems[] = $this->contentObject->substituteMarkerArray(
+						$updateItems[] = t3lib_parsehtml::substituteMarkerArray(
 							$updatesAvailableSubpart,
 							$updateMarkers,
 							'###|###',
@@ -6624,17 +6622,17 @@
 					$updatesAvailableSubpart = implode(chr(10), $updateItems);
 				}
 
-				$content = $this->contentObject->substituteSubpart(
+				$content = t3lib_parsehtml::substituteSubpart(
 					$getUserInputSubpart,
 					'###NOUPDATESAVAILABLE###',
 					$noUpdatesAvailableSubpart
 				);
-				$content = $this->contentObject->substituteSubpart(
+				$content = t3lib_parsehtml::substituteSubpart(
 					$content,
 					'###UPDATESAVAILABLE###',
 					$updatesAvailableSubpart
 				);
-				$content = $this->contentObject->substituteMarkerArray(
+				$content = t3lib_parsehtml::substituteMarkerArray(
 					$content,
 					$markers,
 					'###|###',
@@ -6644,13 +6642,13 @@
 				break;
 			case 'performUpdate':	// third step - perform update
 				$title = 'Step 3 - Perform updates';
-				$performUpdateSubpart = $this->contentObject->getSubpart($templateFile, '###PERFORMUPDATE###');
-				$updateItemsSubpart = $this->contentObject->getSubpart($performUpdateSubpart, '###UPDATEITEMS###');
-				$checkUserInputSubpart = $this->contentObject->getSubpart($updateItemsSubpart, '###CHECKUSERINPUT###');
-				$updatePerformedSubpart = $this->contentObject->getSubpart($updateItemsSubpart, '###UPDATEPERFORMED###');
-				$noPerformUpdateSubpart = $this->contentObject->getSubpart($updateItemsSubpart, '###NOPERFORMUPDATE###');
-				$databaseQueriesSubpart = $this->contentObject->getSubpart($updatePerformedSubpart, '###DATABASEQUERIES###');
-				$customOutputSubpart = $this->contentObject->getSubpart($updatePerformedSubpart, '###CUSTOMOUTPUT###');
+				$performUpdateSubpart = t3lib_parsehtml::getSubpart($templateFile, '###PERFORMUPDATE###');
+				$updateItemsSubpart = t3lib_parsehtml::getSubpart($performUpdateSubpart, '###UPDATEITEMS###');
+				$checkUserInputSubpart = t3lib_parsehtml::getSubpart($updateItemsSubpart, '###CHECKUSERINPUT###');
+				$updatePerformedSubpart = t3lib_parsehtml::getSubpart($updateItemsSubpart, '###UPDATEPERFORMED###');
+				$noPerformUpdateSubpart = t3lib_parsehtml::getSubpart($updateItemsSubpart, '###NOPERFORMUPDATE###');
+				$databaseQueriesSubpart = t3lib_parsehtml::getSubpart($updatePerformedSubpart, '###DATABASEQUERIES###');
+				$customOutputSubpart = t3lib_parsehtml::getSubpart($updatePerformedSubpart, '###CUSTOMOUTPUT###');
 				if (!$this->INSTALL['update']['extList']) { break; }
 
 				$GLOBALS['TYPO3_DB']->store_lastBuiltQuery = TRUE;
@@ -6666,7 +6664,7 @@
 							'customOutput' => ($customOutput ? $customOutput : 'Something went wrong'),
 							'goBack' => 'Go back to update configuration'
 						);
-						$checkUserInput = $this->contentObject->substituteMarkerArray(
+						$checkUserInput = t3lib_parsehtml::substituteMarkerArray(
 							$checkUserInputSubpart,
 							$userInputMarkers,
 							'###|###',
@@ -6687,7 +6685,7 @@
 								$content .= '<br />' . implode('<br />',$dbQueries);
 								foreach($dbQueries as $query) {
 									$databaseQueryMarkers['query'] = $query;
-									$databaseQueries[] = $this->contentObject->substituteMarkerArray(
+									$databaseQueries[] = t3lib_parsehtml::substituteMarkerArray(
 										$databaseQueriesSubpart,
 										$databaseQueryMarkers,
 										'###|###',
@@ -6700,7 +6698,7 @@
 							if (strlen($customOutput)) {
 								$content.= '<br />' . $customOutput;
 								$customOutputMarkers['custom'] = $customOutput;
-								$customOutputItem = $this->contentObject->substituteMarkerArray(
+								$customOutputItem = t3lib_parsehtml::substituteMarkerArray(
 									$customOutputSubpart,
 									$customOutputMarkers,
 									'###|###',
@@ -6709,17 +6707,17 @@
 								);
 							}
 
-							$updatePerformed = $this->contentObject->substituteSubpart(
+							$updatePerformed = t3lib_parsehtml::substituteSubpart(
 								$updatePerformedSubpart,
 								'###DATABASEQUERIES###',
 								implode(chr(10), $databaseQueries)
 							);
-							$updatePerformed = $this->contentObject->substituteSubpart(
+							$updatePerformed = t3lib_parsehtml::substituteSubpart(
 								$updatePerformed,
 								'###CUSTOMOUTPUT###',
 								$customOutputItem
 							);
-							$updatePerformed = $this->contentObject->substituteMarkerArray(
+							$updatePerformed = t3lib_parsehtml::substituteMarkerArray(
 								$updatePerformed,
 								$performUpdateMarkers,
 								'###|###',
@@ -6728,7 +6726,7 @@
 							);
 						} else {
 							$noPerformUpdateMarkers['noUpdateMethod'] = 'No update method available!';
-							$noPerformUpdate = $this->contentObject->substituteMarkerArray(
+							$noPerformUpdate = t3lib_parsehtml::substituteMarkerArray(
 								$noPerformUpdateSubpart,
 								$noPerformUpdateMarkers,
 								'###|###',
@@ -6737,27 +6735,27 @@
 							);
 						}
 					}
-					$updateItem = $this->contentObject->substituteSubpart(
+					$updateItem = t3lib_parsehtml::substituteSubpart(
 						$updateItemsSubpart,
 						'###CHECKUSERINPUT###',
 						$checkUserInput
 					);
-					$updateItem = $this->contentObject->substituteSubpart(
+					$updateItem = t3lib_parsehtml::substituteSubpart(
 						$updateItem,
 						'###UPDATEPERFORMED###',
 						$updatePerformed
 					);
-					$updateItem = $this->contentObject->substituteSubpart(
+					$updateItem = t3lib_parsehtml::substituteSubpart(
 						$updateItem,
 						'###NOPERFORMUPDATE###',
 						$noPerformUpdate
 					);
-					$updateItem = $this->contentObject->substituteSubpart(
+					$updateItem = t3lib_parsehtml::substituteSubpart(
 						$updateItem,
 						'###UPDATEITEMS###',
 						implode(chr(10), $updateItems)
 					);
-					$updateItems[] = $this->contentObject->substituteMarkerArray(
+					$updateItems[] = t3lib_parsehtml::substituteMarkerArray(
 						$updateItem,
 						$updateItemsMarkers,
 						'###|###',
@@ -6765,7 +6763,7 @@
 						1
 					);
 				}
-				$content = $this->contentObject->substituteSubpart(
+				$content = t3lib_parsehtml::substituteSubpart(
 					$performUpdateSubpart,
 					'###UPDATEITEMS###',
 					implode(chr(10), $updateItems)
@@ -6894,7 +6892,7 @@
 			// Get the template file
 		$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'GetUpdateDbFormWrap.html');
 			// Get the template part from the file
-		$form = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+		$form = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 			// Define the markers content
 		$formMarkers = array(
 			'action' => $this->action,
@@ -6903,7 +6901,7 @@
 			'label' => $label
 		);
 			// Fill the markers
-		$form = $this->contentObject->substituteMarkerArray(
+		$form = t3lib_parsehtml::substituteMarkerArray(
 			$form,
 			$formMarkers,
 			'###|###',
@@ -6927,7 +6925,7 @@
 			// Get the template file
 		$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'DisplayFields.html');
 			// Get the template part from the file
-		$template = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+		$template = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 			// Define the markers content
 		$templateMarkers = array(
 			'headerFieldName' => 'Field name:',
@@ -6936,7 +6934,7 @@
 		if (is_array($arr)) {
 			$rows = array();
 				// Get the subpart for rows
-			$rowsSubpart = $this->contentObject->getSubpart($template, '###ROWS###');
+			$rowsSubpart = t3lib_parsehtml::getSubpart($template, '###ROWS###');
 			foreach ($arr as $fieldname => $fieldContent) {
 				if ($pre) {
 					$fieldContent = '<pre>'.trim($fieldContent).'</pre>';
@@ -6947,7 +6945,7 @@
 					'fieldContent' => $fieldContent
 				);
 					// Fill the markers in the subpart
-				$rows[] = $this->contentObject->substituteMarkerArray(
+				$rows[] = t3lib_parsehtml::substituteMarkerArray(
 					$rowsSubpart,
 					$rowsMarkers,
 					'###|###',
@@ -6957,13 +6955,13 @@
 			}
 		}
 			// Substitute the subpart for rows
-		$template = $this->contentObject->substituteSubpart(
+		$template = t3lib_parsehtml::substituteSubpart(
 			$template,
 			'###ROWS###',
 			implode(chr(10), $rows)
 		);
 			// Fill the markers
-		$template = $this->contentObject->substituteMarkerArray(
+		$template = t3lib_parsehtml::substituteMarkerArray(
 			$template,
 			$templateMarkers,
 			'###|###',
@@ -6985,7 +6983,7 @@
 			// Get the template file
 		$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'DisplayFieldComp.html');
 			// Get the template part from the file
-		$template = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+		$template = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 			// Define the markers content
 		$templateMarkers = array(
 			'headerFieldName' => 'Field name:',
@@ -6995,7 +6993,7 @@
 		$rows = array();
 		if (is_array($arr)) {
 				// Get the subpart for rows
-			$rowsSubpart = $this->contentObject->getSubpart($template, '###ROWS###');
+			$rowsSubpart = t3lib_parsehtml::getSubpart($template, '###ROWS###');
 			foreach ($arr as $fieldname => $fieldContent) {
 					// This tries to equalize the types tinyint and int
 				$str1 = $fieldContent;
@@ -7018,7 +7016,7 @@
 					'class' => $bgcolor
 				);
 					// Fill the markers in the subpart
-				$rows[] = $this->contentObject->substituteMarkerArray(
+				$rows[] = t3lib_parsehtml::substituteMarkerArray(
 					$rowsSubpart,
 					$rowsMarkers,
 					'###|###',
@@ -7028,13 +7026,13 @@
 			}
 		}
 			// Substitute the subpart for rows
-		$template = $this->contentObject->substituteSubpart(
+		$template = t3lib_parsehtml::substituteSubpart(
 			$template,
 			'###ROWS###',
 			implode(chr(10), $rows)
 		);
 			// Fill the markers
-		$out = $this->contentObject->substituteMarkerArray(
+		$out = t3lib_parsehtml::substituteMarkerArray(
 			$template,
 			$templateMarkers,
 			'###|###',
@@ -7056,25 +7054,25 @@
 			// Get the template file
 		$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'DisplaySuggestions.html');
 			// Get the template part from the file
-		$template = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+		$template = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 
 		$templateMarkers = array();
 		$fC=0;
 		$rows = array();
 		if (is_array($arr)) {
 				// Get the subpart for rows
-			$rowsSubpart = $this->contentObject->getSubpart($template, '###ROWS###');
+			$rowsSubpart = t3lib_parsehtml::getSubpart($template, '###ROWS###');
 			foreach ($arr as $fieldname => $fieldContent) {
 				if (!t3lib_div::inList($excludeList,$fieldname) && substr($fieldname,0,strlen($this->deletedPrefixKey))!=$this->deletedPrefixKey && substr($fieldname,-1)!='.') {
 					if ($arr[$fieldname.'.']) {
 							// Get the subpart for pre
-						$preSubpart = $this->contentObject->getSubpart($rowsSubpart, '###PRE###');
+						$preSubpart = t3lib_parsehtml::getSubpart($rowsSubpart, '###PRE###');
 							// Define the markers content
 						$preMarkers = array(
 							'code' => '<pre>' . trim($arr[$fieldname.'.']) . '</pre>'
 						);
 							// Fill the markers in the subpart
-						$preSubpart = $this->contentObject->substituteMarkerArray(
+						$preSubpart = t3lib_parsehtml::substituteMarkerArray(
 							$preSubpart,
 							$preMarkers,
 							'###|###',
@@ -7083,7 +7081,7 @@
 						);
 					}
 						// Substitute the subpart for pre
-					$row = $this->contentObject->substituteSubpart(
+					$row = t3lib_parsehtml::substituteSubpart(
 						$rowsSubpart,
 						'###PRE###',
 						$preSubpart
@@ -7097,7 +7095,7 @@
 						'fieldContent' => $fieldContent,
 					);
 						// Fill the markers in the subpart
-					$rows[] = $this->contentObject->substituteMarkerArray(
+					$rows[] = t3lib_parsehtml::substituteMarkerArray(
 						$row,
 						$rowsMarkers,
 						'###|###',
@@ -7109,13 +7107,13 @@
 			}
 		}
 			// Substitute the subpart for rows
-		$template = $this->contentObject->substituteSubpart(
+		$template = t3lib_parsehtml::substituteSubpart(
 			$template,
 			'###ROWS###',
 			implode(chr(10), $rows)
 		);
 			// Fill the markers
-		$out = $this->contentObject->substituteMarkerArray(
+		$out = t3lib_parsehtml::substituteMarkerArray(
 			$template,
 			$templateMarkers,
 			'###|###',
@@ -7555,7 +7553,7 @@
 			// Get the template file
 		$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'PrintSection.html');
 			// Get the template part from the file
-		$template = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+		$template = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 
 		switch($type) {
 			case 3:
@@ -7580,10 +7578,10 @@
 		} else {
 			if (trim($long_string)) {
 					// Get the subpart for the long string
-				$longStringSubpart = $this->contentObject->getSubpart($template, '###LONGSTRINGAVAILABLE###');
+				$longStringSubpart = t3lib_parsehtml::getSubpart($template, '###LONGSTRINGAVAILABLE###');
 			}
 				// Substitute the subpart for the long string
-			$content = $this->contentObject->substituteSubpart(
+			$content = t3lib_parsehtml::substituteSubpart(
 				$template,
 				'###LONGSTRINGAVAILABLE###',
 				$longStringSubpart
@@ -7595,7 +7593,7 @@
 				'longString' => $long_string
 			);
 				// Fill the markers
-			$content = $this->contentObject->substituteMarkerArray(
+			$content = t3lib_parsehtml::substituteMarkerArray(
 				$content,
 				$markers,
 				'###|###',
@@ -7615,19 +7613,19 @@
 			// Get the template file
 		$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'PrintAll.html');
 			// Get the template part from the file
-		$template = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+		$template = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 		$sections = array();
 
 		foreach ($this->sections as $header => $valArray) {
 				// Get the subpart for sections
-			$sectionSubpart = $this->contentObject->getSubpart($template, '###SECTIONS###');
+			$sectionSubpart = t3lib_parsehtml::getSubpart($template, '###SECTIONS###');
 				// Define the markers content
 			$sectionMarkers = array(
 				'header' => $header . ':',
 				'sectionContent' => implode(chr(10), $valArray)
 			);
 				// Fill the markers in the subpart
-			$sections[] = $this->contentObject->substituteMarkerArray(
+			$sections[] = t3lib_parsehtml::substituteMarkerArray(
 				$sectionSubpart,
 				$sectionMarkers,
 				'###|###',
@@ -7636,7 +7634,7 @@
 			);
 		}
 			// Substitute the subpart for the sections
-		$content = $this->contentObject->substituteSubpart(
+		$content = t3lib_parsehtml::substituteSubpart(
 			$template,
 			'###SECTIONS###',
 			implode(chr(10), $sections)
@@ -7729,9 +7727,9 @@
 			// Add the error messages
 		if (!empty($this->errorMessages)) {
 				// Get the subpart for all error messages
-			$errorMessagesSubPart = $this->contentObject->getSubpart($this->template, '###ERRORMESSAGES###');
+			$errorMessagesSubPart = t3lib_parsehtml::getSubpart($this->template, '###ERRORMESSAGES###');
 				// Get the subpart for a single error message
-			$errorMessageSubPart = $this->contentObject->getSubpart($errorMessagesSubPart, '###MESSAGES###');
+			$errorMessageSubPart = t3lib_parsehtml::getSubpart($errorMessagesSubPart, '###MESSAGES###');
 			$errors = array();
 
 			foreach ($this->errorMessages as $errorMessage) {
@@ -7740,7 +7738,7 @@
 					'message' => $errorMessage
 				);
 					// Fill the markers in the subpart
-				$errors[] = $this->contentObject->substituteMarkerArray(
+				$errors[] = t3lib_parsehtml::substituteMarkerArray(
 					$errorMessageSubPart,
 					$errorMessageMarkers,
 					'###|###',
@@ -7749,7 +7747,7 @@
 				);
 			}
 				// Substitute the subpart for a single message
-			$errorMessagesSubPart = $this->contentObject->substituteSubpart(
+			$errorMessagesSubPart = t3lib_parsehtml::substituteSubpart(
 				$errorMessagesSubPart,
 				'###MESSAGES###',
 				implode(chr(10), $errors)
@@ -7759,11 +7757,11 @@
 			// Version subpart is only allowed when password is ok
 		if ($this->passwordOK) {
 				// Get the subpart for the version
-			$versionSubPart = $this->contentObject->getSubpart($this->template, '###VERSIONSUBPART###');
+			$versionSubPart = t3lib_parsehtml::getSubpart($this->template, '###VERSIONSUBPART###');
 				// Define the markers content
 			$versionSubPartMarkers['version'] = 'Version: ' . TYPO3_version;
 				// Fill the markers in the subpart
-			$versionSubPart = $this->contentObject->substituteMarkerArray(
+			$versionSubPart = t3lib_parsehtml::substituteMarkerArray(
 				$versionSubPart,
 				$versionSubPartMarkers,
 				'###|###',
@@ -7772,31 +7770,31 @@
 			);
 		}
 			// Substitute the version subpart
-		$this->template = $this->contentObject->substituteSubpart(
+		$this->template = t3lib_parsehtml::substituteSubpart(
 			$this->template,
 			'###VERSIONSUBPART###',
 			$versionSubPart
 		);
 			// Substitute the menu subpart
-		$this->template = $this->contentObject->substituteSubpart(
+		$this->template = t3lib_parsehtml::substituteSubpart(
 			$this->template,
 			'###MENU###',
 			$this->menu()
 		);
 			// Substitute the error messages subpart
-		$this->template = $this->contentObject->substituteSubpart(
+		$this->template = t3lib_parsehtml::substituteSubpart(
 			$this->template,
 			'###ERRORMESSAGES###',
 			$errorMessagesSubPart
 		);
 			// Substitute the content subpart
-		$this->template = $this->contentObject->substituteSubpart(
+		$this->template = t3lib_parsehtml::substituteSubpart(
 			$this->template,
 			'###CONTENT###',
 			$content
 		);
 			// Fill the markers
-		$this->template = $this->contentObject->substituteMarkerArray(
+		$this->template = t3lib_parsehtml::substituteMarkerArray(
 			$this->template,
 			$this->markers,
 			'###|###',
@@ -7831,9 +7829,9 @@
 			$c = 0;
 			$items = array();
 				// Get the subpart for the main menu
-			$menuSubPart = $this->contentObject->getSubpart($this->template, '###MENU###');
+			$menuSubPart = t3lib_parsehtml::getSubpart($this->template, '###MENU###');
 				// Get the subpart for each single menu item
-			$menuItemSubPart = $this->contentObject->getSubpart($this->template, '###MENUITEM###');
+			$menuItemSubPart = t3lib_parsehtml::getSubpart($this->template, '###MENUITEM###');
 
 			foreach ($this->menuitems as $k => $v) {
 					// Define the markers content
@@ -7849,7 +7847,7 @@
 					'item' => $v
 				);
 					// Fill the markers in the subpart
-				$items[] = $this->contentObject->substituteMarkerArray(
+				$items[] = t3lib_parsehtml::substituteMarkerArray(
 					$menuItemSubPart,
 					$markers,
 					'###|###',
@@ -7858,7 +7856,7 @@
 				);
 			}
 				// Substitute the subpart for the single menu items
-			$menuSubPart = $this->contentObject->substituteSubpart(
+			$menuSubPart = t3lib_parsehtml::substituteSubpart(
 				$menuSubPart,
 				'###MENUITEM###',
 				implode(chr(10), $items)
@@ -7877,9 +7875,9 @@
 			// Get the template file
 		$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'StepHeader.html');
 			// Get the template part from the file
-		$template = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+		$template = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 			// Get the subpart for each item
-		$stepItemSubPart = $this->contentObject->getSubpart($template, '###STEPITEM###');
+		$stepItemSubPart = t3lib_parsehtml::getSubpart($template, '###STEPITEM###');
 
 		$steps = array();
 
@@ -7898,7 +7896,7 @@
 				'step' => $counter
 			);
 				// Fill the markers in the subpart
-			$steps[] = $this->contentObject->substituteMarkerArray(
+			$steps[] = t3lib_parsehtml::substituteMarkerArray(
 				$stepItemSubPart,
 				$stepItemMarkers,
 				'###|###',
@@ -7907,7 +7905,7 @@
 			);
 		}
 			// Substitute the subpart for the items
-		$content = $this->contentObject->substituteSubpart(
+		$content = t3lib_parsehtml::substituteSubpart(
 			$template,
 			'###STEPITEM###',
 			implode(chr(10), $steps)
@@ -7961,7 +7959,7 @@
 			// Get the template file
 		$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'AlterPasswordForm.html');
 			// Get the template part from the file
-		$template = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+		$template = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 			// Define the markers content
 		$markers = array(
 			'action' => $this->scriptSelf.'?TYPO3_INSTALL[type]=extConfig',
@@ -7970,7 +7968,7 @@
 			'submit' => 'Set new password'
 		);
 			// Fill the markers
-		$content = $this->contentObject->substituteMarkerArray(
+		$content = t3lib_parsehtml::substituteMarkerArray(
 			$template,
 			$markers,
 			'###|###',
